# .bdf to NumPy

This project takes a .bdf file and turns it into a [NumPy](https://www.numpy.org/) Array with an intended use with LED matrix displays. My [LED Stock Ticker](https://gitlab.com/them-boys/raspberry-pi-stock-ticker) uses this package. A good list of .bdf files can be found [here](https://github.com/hzeller/rpi-rgb-led-matrix/tree/master/fonts)

## Usage

```python
import numpy as np
import matplotlib.pyplot as plt

font = parse_chars("9x18.bdf")
matrix = font["A"]
text = "nson"

for letter in text:
    matrix = np.concatenate((matrix, font[letter]), axis=1)

plt.imshow(matrix)
plt.show()
```

Which outputs:

![Example of code output that reads Anson.](example.png)
